<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Thomas Dudzak <thomas.dudzak@gmx.net>
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/
 
class Tx_TdRssfeeds_ViewHelpers_Format_DateViewHelper extends Tx_Fluid_Core_ViewHelper_AbstractViewHelper {
	/**
     * Render the supplied DateTime object as a formatted date using strftime.
     *
     * @param mixed $date either a DateTime object or a string (UNIX-Timestamp)
     * @param string $format Format String which is taken to format the Date/Time
     * @return string Formatted date
     */

	public function render($date = NULL, $format = '%A, %d. %B %Y') {
       if(empty($format)) $format = '%A, %d. %B %Y'; 
	   
	   if ($date === NULL) {
            $date = $this->renderChildren();
            if ($date === NULL) {
                return '';
            }
        }

        return strftime($format, strtotime($date));
		
		//return 'hello world'.$date; 
    }
}
?>