<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2010 Georg Ringer <typo3@ringerge.org>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

/**
 * Add tdrssfeeds extension to the wizard in page module
 *
 * @package TYPO3
 * @subpackage tx_tdrssfeeds
 */
class tx_tdrssfeeds_wizicon {
	protected $extKey = 'td_rssfeeds';

	/**
	 * Processing the wizard items array
	 *
	 * @param array $wizardItems The wizard items
	 * @return Modified array with wizard items
	 */
	public function proc($wizardItems) {
		$locallang = $this->includeLocalLang();

		$wizardItems['plugins_tx_tdrssfeeds'] = array(
			'icon'			=> \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('td_rssfeeds') . 'Resources/Public/Icons/ce_wiz.gif',
			'title'			=> $GLOBALS['LANG']->getLLL('pi1_title', $locallang),
			'description'	=> $GLOBALS['LANG']->getLLL('pi1_plus_wiz_description', $locallang),
			'params'		=> '&defVals[tt_content][CType]=list&defVals[tt_content][list_type]=tdrssfeeds_rssfeed'
		);

		return $wizardItems;
	}

	/**
	 * Reads the [extDir]/locallang_be.xml and returns
	 * the $LOCAL_LANG array found in that file.
	 *
	 * @return	The array with language labels
	 */
	protected 	function includeLocalLang()	{
		$llFile = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('td_rssfeeds').'Resources/Private/Language/locallang.xml';
		$LOCAL_LANG = TYPO3\CMS\Core\Utility\GeneralUtility::readLLfile($llFile, $GLOBALS['LANG']->lang);
						
		return $LOCAL_LANG;
	}
}

?>